Subject: Re: 3GPP2 Interest in FMIP (was: Re: [Mipshop] MIPSHOP discussion on new items and milestones)

From: Parviz Yegani <[email-masked]>
Date: Fri, 01 Apr 2005 13:48:35 -0800

Hi James,

Agree with Betty. I don't recall any discussions on FMIP in 3GPP2 either.

Any insight into this would be appreciated.

-Parviz

At 11:23 AM 4/1/2005 -0800, James Kempf wrote:
>Betty,
>
>Thank you for this data point. It is certainly refreshing to hear from
>someone who actually attends 3GPP2 meetings about what 3GPP2 might or might
>not want from IETF.
>
>My information comes from hallway discussions at IETF 62.
>
>             jak
>
>----- Original Message -----
>From: "Betty Lee (QA/EMC)" <[email-masked]>
>To: <[email-masked]>
>Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>
>Sent: Friday, April 01, 2005 8:53 AM
>Subject: RE: [Mipshop] MIPSHOP discussion on new items and milestones
>
>
> > Hi James,
> >
> > cdma2000 is standardized in the 3GPP2 forum.  Can you please elaborate on
>which 3GPP2 Working Group is showing the interest you refer to?  I attend
>those meetings and we have not had any discussion on FMIP.
> >
> > Thanks,
> > Betty
> >
> >
> > > > From: "James Kempf" <[email-masked]>
> > > > Date: March 30, 2005 2:40:43 PM EST
> > > > To: "Rajeev Koodli" <[email-masked]>
> > > > Cc: gabriel montenegro <[email-masked]>, [email-masked]
> > > > Subject: Re: [Mipshop] MIPSHOP discussion on new items and
> > > milestones
> > > >
> > > > Hi Rajeev,
> > > >
> > > > It sounds like we are in agreement.
> > > >
> > > > Gab, can we agree to move FMIP into MIPSHOP? Given the
> > > interest shown
> > > > by
> > > > CDMA2K in FMIP, I think it makes sense to do the work in IETF.
> > > >
> > > >             jak
> > > >
> > > > ----- Original Message -----
> > > > From: "Rajeev Koodli" <[email-masked]>
> > > > To: "James Kempf" <[email-masked]>
> > > > Cc: "gabriel montenegro" <[email-masked]>; <[email-masked]>
> > > > Sent: Wednesday, March 30, 2005 11:12 AM
> > > > Subject: Re: [Mipshop] MIPSHOP discussion on new items and
> > > milestones
> > > >
> > > >
> > > >>
> > > >> Hi Jim,
> > > >>
> > > >> I think we are mostly in sync regarding avoiding
> > > duplication of packet
> > > >> formats.
> > > >> Your understanding of FMIP "inverse ND" also providing pre-handover
> > > >> duplicate
> > > >> address detection support is incorrect. The Proxy messages do not
> > > >> involve any state
> > > >> or correspondence with the NAR for duplicate address
> > > detection. (You
> > > >> may
> > > >> still be
> > > >> remembering an older version of the draft from [mobile ip] days).
> > > >>
> > > >>> What I would like to see is the following:
> > > >>>
> > > >>> 1) A transport independent information element format
> > > like EAP that
> > > >>> can
> > > > be
> > > >>> used by 802.21, but also by FMIPv4 and FMIPv6 to convey
> > > neighborhood
> > > >>> information about neighboring subnets from the AR to the
> > > MN upon MN
> > > > request
> > > >>> (and also possibly pushed by the AR, but we would need to do some
> > > >>> more
> > > >>> design on that). The information includes AR subnet
> > > information (like
> > > > prefix
> > > >>> lists), AP link addresses, and other information appropriate to
> > > >>> address
> > > >>> configuration on the neighboring link, which, today, are
> > > defined in
> > > >>> both
> > > >>> CARD and FMIP.
> > > >>>
> > > >>> 2) A protocol based on FBU/FBAck/FNA to allow change in the local
> > > >>> routing
> > > >>> through setting up a short-term tunnel from the previous
> > > AR to the
> > > >>> MN's
> > > > new
> > > >>> CoA.
> > > >>>
> > > >>> 3) A protocol to convey the neighborhood information from
> > > the AR to
> > > >>> the
> > > > MN
> > > >>> at the IP level, probably a set of request/reply ICMP messages
> > > >>> merging
> > > > the
> > > >>> PrxyRtXXX messages and CARD MN-AR messages in some fashion.
> > > >>>
> > > >>> I have no objection to bundling 2) and 3) in one document
> > > for PS and
> > > > calling
> > > >>> it FMIP, but I believe 1) needs to be a standalone
> > > document in order
> > > >>> that
> > > > it
> > > >>> be usable by 802.21.
> > > >>>
> > > >>>
> > > >>>
> > > >> This matches my thinking. I see 2) and 3) as different
> > > sections in the
> > > >> same spec however.
> > > >>
> > > >> Regarding 1): Let me contact IEEE 802.21 folks and figure
> > > out exactly
> > > >> what is needed.
> > > >> In any case, we can use a unified packet format for the LLA option.
> > > >>
> > > >> Is this a way forward?
> > > >>
> > > >> -Rajeev
> > > >>
> > > >>
> > > >>>            jak
> > > >>>
> > > >>>            jak
> > > >>>
> > > >>>
> > > >>>
> > > >>>
> > > >>
> > > >>
> > > >
> > > >
> > > >
> > > > _______________________________________________
> > > > Mipshop mailing list
> > > > [email-masked]
> > > > https://www1.ietf.org/mailman/listinfo/mipshop
> > > >
> > > Regards,
> > >
> > > Wassim H.
> > >
> >

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop